Package org.eclipse.lemminx.services.extensions.rename

## Interface IRenameParticipant

All Known Implementing Classes:
  `RNGRenameParticipant`, `XMLReferencesRenameParticipant`, `XSDRenameParticipant`

    public interface IRenameParticipant

Rename participant API.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `doRename​(IRenameRequest request, IRenameResponse renameResponse, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Creates the list of document changes for the rename operation.
`org.eclipse.lsp4j.jsonrpc.messages.Either<org.eclipse.lsp4j.Range,​org.eclipse.lsp4j.PrepareRenameResult>` `prepareRename​(IPrepareRenameRequest request, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Checks if rename operation can be executed for a given prepare rename request

### Method Detail

#### doRename

    void doRename​(IRenameRequest request,
                  IRenameResponse renameResponse,
                  org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)
           throws CancellationException

Creates the list of document changes for the rename operation.

Parameters:
  `request` - A rename request
  `documentChanges` - A list to collect either text document edits or rename operations
  `cancelChecker` - Cancel checker
Throws:
  `CancellationException` - if the computation was cancelled
Since:
  0.26

#### prepareRename

    org.eclipse.lsp4j.jsonrpc.messages.Either<org.eclipse.lsp4j.Range,​org.eclipse.lsp4j.PrepareRenameResult> prepareRename​(IPrepareRenameRequest request,
                                                                                                                                 org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)
                                                                                                                          throws CancellationException

Checks if rename operation can be executed for a given prepare rename request

Parameters:
  `request` - A prepare rename request
  `cancelChecker` - Cancel checker
Returns:
  Either range or rename operation result of prepare rename operation
Throws:
  `CancellationException` - if the computation was cancelled